using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Tools
{
    internal class GreatwoodHammer : DecimationTool
    {
        protected override string ItemName => "Greatwood Mallet";
        protected override string ItemTooltip => "Who needs metal?";
        protected override int MeleeDamages => 20;
        protected override int HammerPower => 55;

        protected override void InitTool()
        {
            item.width = 40;
            item.height = 40;
            item.useTime = 10;
            item.useAnimation = 25;
            this.item.knockBack = 5;
            item.value = Item.buyPrice(0, 0, 10);
            item.rare = Rarity.Green.GetRarityValue();
            item.UseSound = SoundID.Item1;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, TileID.WorkBenches, true);

            recipe.AddIngredient(ItemID.WoodenHammer);
            recipe.AddIngredient(ItemID.BorealWoodHammer);
            recipe.AddIngredient(ItemID.ShadewoodHammer);
            recipe.AddIngredient(ItemID.PalmWoodHammer);

            return recipe;
        }
    }
}